Uploaded image for project: 'PUBLIC - Liferay IDE'
  1. PUBLIC - Liferay IDE
  2. IDE-4834

Add support for create projects for workspaces that don't have TP enabled

    Details

    • Type: Task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.9 M2
    • Component/s: Projects
    • Labels:
      None

      Description

      When we use blade 4.0, the projects generated require TP to be enabled. So we need to support older workspaces where they haven't or can't adopt TP feature (too old of gradle or too old of workspace plugin and can't upgrade)

      In these cases our new module project wizard will need to use blade 3.9.2 instead of blade 4.0, so we will need to embed both of them.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              simon.jiang Simon Jiang
              Reporter:
              gregory.amerson Gregory Amerson
              Participants of an Issue:
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since last comment:
                45 weeks, 2 days ago

                  Packages

                  Version Package
                  3.9 M2